<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(FCPATH . '/application/libraries/base_table.php');

class User_dept_table extends Base_table {

	function __construct()
	{
        parent::__construct(array('tbl'=>'user_department', 'tbl_key'=>'user_dept_id'));
	}

	public function save($data)
	{
		return parent::save($data);
	}

	public function store_default_data ($data)
	{
		$this->CI->load->database();
		
		if (empty($data['entity_id'])) {
			return false;
		}
		
		$dynamic_data = array(
						'entity_id' 		=> $data['entity_id'],
					);
					
		$static_data = array(
							array(
								'department' => 'Accounting'
							),
							array(
								'department' => 'Administration'
							),
							array(
								'department' => 'Finance'
							),
							array(
								'department' => 'Human Resources'
							),
							array(
								'department' => 'Marketing'
							),
							array(
								'department' => 'Sales'
							)
						);
						
		$values = array();
		foreach ($static_data as $val) {
			$values[] = array_merge($val,$dynamic_data);
		}
		return $this->CI->db->insert_batch($this->tbl, $values); 
	}
}
/* end of user_dept_table.php */
