<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

	$date_filter_this	= array(
		'ALL' => 'ALL',
		'TO' => 'TODAY',
		'TW' => 'THIS_WEEK',
		'TS' => 'THIS_SEMI_MONTHLY',
		'TM' => 'THIS_MONTH'
	);
	$date_filter_last	= array(
		'YE' => 'YESTERDAY',
		'LW' => 'LAST_WEEK',
		'LS' => 'LAST_SEMI_MONTHLY',
		'LM' => 'LAST_MONTH'
	);
?>
<div id="estimate-container" class="cutter-top" style="max-width:1200px;">
	<div style="max-width:1150px;margin:0 auto;">
		<div class="page-header-bar">
			<div id="alert_message" class="ac col-md-9 fix-it"></div>
			<span class="title">
			<?php
				switch ($view)
				{
					case "estimate":
						echo lang('ESTIMATES');
					break;
					case "deposit":
						echo lang('DEPOSIT');
					break;
					default:
					case "invoice":
						echo lang('INVOICES');
					break;
				}
			?>
			</span>
			<ul class="btns list-inline">
				<!-- ko ifnot:is_edit_mode -->
				<li class="img-circle icon40 cp" data-bind="click:addItem">
					<span><i class="icon-plus icon-metro img-circle"></i></span>
				</li>
				<!-- /ko -->
				<!-- ko if: is_edit_mode -->
				<li class="img-circle icon40 cancel cp" data-bind="click:cancel_edit">
					<span><i class="icon-arrow-left icon-metro img-circle"></i></span>
				</li>
				<!-- /ko -->
				<?php if (is_admin()) { ?> 
					<!-- ko if:(!is_edit_mode() || is_view_mode()) -->
					<li class="img-circle icon40 cp" data-bind="click:show_comments">
						<span><i class="icon-metro img-circle icon-ellipsis-horizontal"></i></span>
					</li>
					<!-- /ko -->
				<?php } ?>
			</ul>
		</div>
		<div id="body-container" class="np" data-bind="hidden:is_view_mode()==false&&is_edit_mode()==true, css:{'col-md-12':is_view_mode()==false,'invoice-list col-lg-8 hidden-xs hidden-sm':is_view_mode()==true}" class="pull-left">
			<div class="container npr">
				<div class="col-md-3 pull-right" data-bind="hidden:is_view_mode()==false&&is_edit_mode()==false"></div>
				<div class="col-md-6 pull-right row npr filter">
					<div class="col-md-12 form-group pull-right" data-bind="visible:Object.values(clients()).length>0">
						<select class="select filters form-control" data-bind="options:Object.values(clients()), optionsText:'client_name', optionsValue:'client_id', selectedOptions:sel_client, chosen:true" multiple="multiple" style="margin-right:82px;"></select>
					</div>
				</div>
				<div class="col-md-3 pull-right">
					<input type="text" class="form-control" placeholder="Search Estimate No." data-bind="value:search_invoice, valueUpdate: 'afterkeydown', event:{keypress:$root.search()}" />
				</div>
			</div>
			<div id="alert_message" class="fix-it"></div>
			<div id="list-container" class="out-container no-right-cnt">
				<div class="row">
					<div class="col-md-12 table-responsive" style="padding:0 0 140px 0">
						<table cellpadding="0" cellspacing="0" border="0" class="table table-striped table-hover" data-bind="visible:items().length>0">
							<thead>
								<tr>
									<th><?php echo lang('DATE'); ?></th>
									<?php if($view == 'estimate') { ?>
									<th><?php echo lang('ESTIMATE'); ?></th>
									<?php } else { ?>
									<th><?php echo lang('INVOICES'); ?></th>
									<?php } ?>
									<th><?php echo lang('CLIENT'); ?></th>
									<th class="ar"><?php echo lang('AMOUNT'); ?></th>
									<th style="width:200px;"><?php echo lang('STATUS'); ?></th>
									<th style="width:50px;"></th>
								</tr>
							</thead>
							<tbody>
								<?php if($view == 'estimate') { ?>
								<!-- ko foreach:items -->
								<tr class="cp">
									<td class="vam" data-bind="click:$parent.viewItem, text:estimate_dt"></td>
									<td class="vam" data-bind="click:$parent.viewItem, text:estimate_number"></td>
									<td class="vam" data-bind="click:$parent.viewItem, text:_info.client_name()"></td>
									<td class="ar vam" data-bind="click:$parent.viewItem, currency:{val:_info.total, symbol:_info.currency}"></td>
									<td>
										<div class="btn-group">
											<button type="button" class="btn btn-status" data-bind="css:status_class(), text:status_display"></button>
											<?php if(is_admin()): ?>
											<button type="button" class="btn btn-list dropdown-toggle" data-bind="css:status_class()" data-toggle="dropdown">
												<span class="caret"></span>
											</button>
											<ul class="dropdown-menu al" role="menu" data-bind="foreach:_info.status">
												<!-- ko if:$data.status!="b"&&$data.status!="p" -->
													<li><a href="javascript:;" data-bind="click:function(){$parent.update_status($data.status);}"><!-- ko text:$data.value --> <!-- /ko --></a></li>
												<!-- /ko -->
											<?php
											 /*	foreach ($status as $key=>$val)
												{
													echo '<li> <a href="javascript:;" data-bind="click:function(){update_status(\''.$key.'\');}">' . $val . '</a></li>';
													if ($key=='S')
													 {
													 echo '<li data-bind="click:prepareMail"> <a href="javascript:;" data-bind="click:function(){update_status(\''.$key.'\');}">' . $val . '</a></li>';
													 }
													//echo '<li data-bind="attr:{ href :\''.$key.'\' ==\'S\' ? \'#e-mails\':\'\' , \'data-toggle\' : \''.$key.'\'==\'S\' ? \'modal\':\'\' }" ><a href="javascript:;" data-bind="click:function(){update_status(\''.$key.'\');}">' . $val . '</a></li>';
												}*/
											?>
											</ul>
											<?php endif; ?>
										</div>
									</td>
									<td>
										<div class="dropdown">
											<label class="dropdown-toggle" data-toggle="dropdown">&nbsp;&nbsp;&nbsp;&nbsp;<i class="icon-cog"></i>
											</label>
											<ul class="dropdown-menu" style="left:-120px;">
												<!-- ko if:status()!="d" -->
													<li><a data-bind="click:$parent.viewItem" href="javascript:;"><?php echo lang('VIEW'); ?></a></li>
												<!-- /ko -->
												<!-- ko if:status()=="d" -->
													<li><a data-bind="click:$parent.viewItem" href="javascript:;"><?php echo lang('VIEW_OR_EDIT'); ?></a></li>
												<!-- /ko -->
												<li><a data-bind="click:print" href="javascript:;"><?php echo lang('PRINT'); ?></a></li>
												<li><a data-bind="click:duplicate" href="javascript:;"><?php echo lang('DUPLICATE'); ?></a></li>
												<li><a data-bind="click:download_pdf" href="javascript:;"><?php echo lang('EXPORT_AS_PDF'); ?></a></li>
												<li>
													<a href="javascript:;" data-bind="click:$parent.remove">
														<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
													</a>
												</li>
											</ul>
										</div>
									</td>
								</tr>
								<!-- /ko -->
								<?php } else {?>
								<!-- ko foreach:items -->
								<tr class="cp">
									<td data-bind="click:$parent.viewItem, text:invoice_date" class="vam"></td>
									<td data-bind="click:$parent.viewItem, text:invoice_number" class="vam"></td>
									<td data-bind="click:$parent.viewItem, text:_info.client_name()" class="vam"></td>
									<td class="ar vam" data-bind="click:$parent.viewItem">
										<span class="col-md-12" data-bind="currency:{val:_info.total, symbol:_info.currency}"></span>
										<?php if($view == "deposit"): ?>
										<br/>
										<div class="col-md-12 pr dib deposit-list pr">
											<div data-bind="click:show_dep_tbl">
												<span class="h6 pull-left dib"><?php echo lang('APPLIED_INVOICES'); ?></span>
												<span class="h5 dib" data-bind="currency:{val:_info.applied_invoice, symbol:_info.currency}"></span>
											</div>
											<!-- ko if:isDepTbl -->
											<ul class="dropdown-menu col-md-12 deposit-table">
												<!-- ko foreach:_info.applied_list -->
												<li>
													<small class="pull-left" data-bind="text:'<?php echo lang('INVOICE#'); ?>'+invoice_number"></small>
													<small class="pull-right" data-bind="currency:{val:amount, symbol:$parent._info.currency}"></small>
												</li>
												<!-- /ko -->
												<li class="divider np nm"></li>
												<li>
													<span class="pull-left"><?php echo lang('REMAINING'); ?></span>
													<span class="pull-right" data-bind="currency:{val:_info.remaining, symbol:_info.currency}"></span>
												</li>
											</ul>
											<!-- /ko -->
										</div>
										<?php endif; ?>
									</td>
									<td>
										<div class="btn-group">
											<button type="button" class="btn btn-status" data-bind="css:status_class(), text:status_display"></button>
											<?php if(is_admin()): ?>
											<button type="button" class="btn dropdown-toggle" data-bind="css:status_class()" data-toggle="dropdown">
												<span class="caret"></span>
											</button>
											<!-- ko if:status()!="b"&&status()!="p" -->
											<ul class="dropdown-menu al">
											<?php
												foreach (array_slice($status, 0, 2) as $key=>$val):
													echo('<li><a href="javascript:;" data-bind="click:function(){update_status(\''.$key.'\');}">' . $val . '</a></li>');
												endforeach;
											?>
											</ul>
											<!-- /ko -->
											<?php endif; ?>
										</div>
									</td>
									<td>
										<div class="dropdown">
											<label class="dropdown-toggle" data-toggle="dropdown">&nbsp;&nbsp;&nbsp;&nbsp;<i class="icon-cog"></i></label>
											<ul class="dropdown-menu">
												<li><a data-bind="click:print" href="javascript:;"><?php echo lang('PRINT'); ?></a></li>
												<li><a data-bind="click:duplicate" href="javascript:;"><?php echo lang('DUPLICATE'); ?></a></li>
												<li>
													<a href="javascript:;" data-bind="click:$parent.remove">
														<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
													</a>
												</li>
											</ul>
										</div>  
									</td>
								</tr>
								<!-- /ko -->
								<?php } ?>
							</tbody>
						</table>
						<div class="text-center" data-bind="visible:_info.notify_text() && items().length<=0" style="margin-top: 50px;">
							<span class="well" data-bind="text:_info.notify_text()"></span>
						</div>
					</div>
				</div>
			</div>			
		</div>
		<?php if ($view == 'estimate'): ?>
			<div class="modal" id="e-mails" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-bind="with:emailPopUp">
			
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title"><?php echo lang('SEND'); ?></h4>
						</div>
						<div class="modal-body form-horizontal">
							<div class="form-group">
								<h5 class="col-md-1 control-label">To</h5>
								<div class="col-md-9">
									<input type="text" class="form-control" placeholder="Email_id" data-bind="value:email_to" />
								</div>
								<div class="col-md-2">
									<button class="btn btn-success" data-bind="click:send"><?php echo lang('SEND'); ?></button>
								</div>
							</div>
							<div class="form-group">
								<h5 class="col-md-1 control-label">Cc</h5>
								<div class="col-md-9">
									<input type="text" class="form-control" placeholder="" data-bind="value:email_cc" >
								</div>
							</div>
							<div class="form-group">
								<div class="col-md-offset-1 col-md-10">
									<span class="pull-left icon icon-paperclip" style="color:#3A87AD">
										<a target="_blank" data-bind="attr:{href:email_url}">
											<span class="text-info" data-bind="text:email_file"></span>
										</a>
									</span>
								</div>
							</div>
							<div class="form-group">
								<label class="control-label"><?php echo lang('SUBJECT'); ?></label>
								<textarea class="form-control" rows="4" placeholder="Text ur sub" data-bind="html:email_message"></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal" id="invoices" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-bind="with:invoicePopUp">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title"><?php echo lang('INVOICES'); ?></h4>
						</div>
						<div class="modal-body">
							<div class="form-group">
								<label>Generate Invoice</label>
								<select name="invoice_type" data-bind="value:invoice_select">
									<option value="normal">Normal</option>
									<option value="deposite">Deposit</option>
								</select>
								<!-- <div class="col-md-6">
									<label>
										<input type="radio" name="invoice_type" value="normal" data-bind="checked:invoice_type"> <?php echo lang('GENERATE_NORMAL_INVOICE'); ?>
									</label>
								</div>
								<div class="col-md-6">
									<label>
										<input type="radio" name="invoice_type" value="deposite" data-bind="checked:invoice_type"><?php echo lang('GENERATE_DEPOSIT_INVOICE'); ?>
									</label>
								</div>-->
							</div>
							<div class="form-group">
								<div class="col-md-6">
									<label>
										<input type="radio" name="invoice_type" value="entire" data-bind="checked:invoice_type"><?php echo lang('ENTIRE_ESTIMATE'); ?>
									</label>
								</div>
								<div class="col-md-6 np">
										<input type="radio" name="invoice_type" value="percentage" data-bind="checked:invoice_type" />
										<label class="col-md-11 pull-right np">
										Invoice for 
										<input type="text" data-bind="value:percentage, numberOnly:true" class="nbr nbt nbl" style="width:10%;border-bottom:1px solid #000000;" />
										&nbsp;&nbsp; % of the estimate
									</label>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button data-bind="click:create" class="btn btn-success pull-right"><?php echo lang('CREATE_INVOICE'); ?></button>
						</div>
					</div>
				</div>
			</div>
		<?php endif; ?>
		<div data-bind="visible:is_edit_mode, attr:{'class':(is_view_mode()==false&&is_edit_mode()==true)?'':'invoice page-slide col-lg-5 col-sm-12 col-xs-12 col-md-5 overflow-y'}" style="display:none;">
			<div id="view-layout"></div>
		</div>
		<div class="page-slide col-lg-5 auto-height set_slider" data-bind="slideVisible:is_slide_modes()==true" style="display: none;background:none;border:0px;top:90px;right:0px;">
			<div id="project-invoice-container"></div>
		</div>
		<div class="page-slide col-lg-5 col-sm-12 col-xs-12 col-md-5 auto-height" data-bind="visible:isNewAdd()==1">
			<div id="addclient"></div>
		</div>
		<div id="comment_layout" class="page-slide fh col-lg-5 col-md-5" style="top:90px;" data-bind="visible:is_comment_mode"></div>
		<div class="pagination col-lg-12 text-center" data-bind="visible:(!is_edit_mode() && !finish())"  style="margin-top:-110px">
			<ul class="row" style="list-style:none;">
				<li>
					<a href="javascript:;" data-bind="hidden:finish, click:load_more" class="well"><?php echo lang('SHOW_MORE'); ?></a>
				</li>
			</ul>
		</div>
	</div>
</div>
<?php
	$jslang	= array();

	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
<script type="text/javascript">
$(document).ready(function(){
<?php
	if($view == 'estimate'):
	
		$tmp	= array(
			'CLIENT_DETAILS_REQUIRED',
			'INVOICE_PERCENTAGE_LESS_THAN_HUNDRED',
			'INVALID_PRODUCT_SERVICE_ITEMS',
			'INVALID_PRODUCT_SERVICE_DESC_NOT_EMPTY'
		);
		foreach ($tmp as $val)
		{
			$jslang[$val]	= lang($val);
		}
?>
	Otime.Estimate.Clients	= <?php echo json_encode($clients); ?>;
	Otime.Estimate.Currency	= <?php echo json_encode($currency); ?>;
	Otime.Estimate.Status	= <?php echo json_encode($status); ?>;
	Otime.Estimate.CurrCode	= "<?php echo $this->ot_app->get('currency_code'); ?>";
	Otime.Estimate.status_class	= <?php echo json_encode($this->config->config['status_class']); ?>;
	Otime.Estimate.language	= <?php echo json_encode($jslang); ?>;
	Otime.Client.language		= <?php echo json_encode($jslang); ?>;
	window.Otime.load("Estimate");
<?php
	else:
		$tmp	= array(
			'CONFIRM_PAY_FROM_DEPOSIT',
			'REIMPORT',
			'IMPORT_ITEMS_CONFIRM_MSG',
			'SELECT_DETAIL_HOURS',
			'SELECT_DETAIL_EXPENSES',
			'SELECT_PROJECTS',
			'CLIENT_DETAILS_REQUIRED',
			'INVALID_PRODUCT_SERVICE_ITEMS',
			'AMOUNT_MUST_BE_GREATER_THAN_ZERO'
		);
		foreach ($tmp as $val)
		{
			$jslang[$val]	= lang($val);
		}
?>
	Otime.Estimate.Clients	= <?php echo json_encode($clients); ?>;
	Otime.Estimate.Currency	= <?php echo json_encode($currency); ?>;
	Otime.Estimate.Status	= <?php echo json_encode($status); ?>;
	Otime.Estimate.CurrCode	= "<?php echo $this->ot_app->get('currency_code'); ?>";
	Otime.Estimate.status_class	= <?php echo json_encode($this->config->config['status_class']); ?>;	
	Otime.Estimate.language	= <?php echo json_encode($jslang); ?>;
	Otime.Estimate.EID	= <?php echo empty($estimate_id) ? 0 : $estimate_id; ?>;

	window.Otime.load("Estimate");
<?php endif; ?>
});
$('#invoice_percent').click(function(){
	$('#percent_input').focus();
});
</script>
<div class="modal" id="timsheet_approve" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" aria-hidden="true" data-bind="click:popup_close">&times;</button>
				<h4 class="modal-title" id="myModalLabel">Modal title</h4>
			</div>
			<div class="modal-body"></div>
		</div>
	</div>
</div>
<div class="modal" id="expenses_approve" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" aria-hidden="true" data-bind="click:popup_close">&times;</button>
				<h4 class="modal-title" id="myModalLabel">Modal title</h4>
			</div>
			<div class="modal-body"></div>
		</div>
	</div>
</div>
<iframe style="display:none" id="iframe_download" src="about:blank" target="_blank"></iframe>
