<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$isTsPage	= empty($module) ? false : ($module == 'TS' ? true : false);
	$isTodoPage	= empty($is_todo) ? false : true;
?>
<div class="dib" id="right-pane" data-bind="css:{'open':isPane,'pinned':is_pinned}">
	<?php if (!$isTsPage && !$isTodoPage){ ?>
	<span class="fix-setting np pane-opener">
		<a class="dib swap-pane" data-bind="click:swapPane" href="javascript:;" style="padding:6px 10px;">
			<i class="icon icon-chevron-left"></i>
		</a><?php /*?>
		</br>
		<a class="pos-pane" data-bind="click:swapPanePos" href="javascript:;">
			<i class="icon icon-retweet"></i>
		</a>
	*/ ?></span><?php } ?>
	<div class="panel panel-primary nm fh" data-bind="with:selectedItem" style="overflow:hidden;">
		<div class="panel-body minrp tsk" style="height:100%;overflow-y: auto;">
			<div class="tab-content">
				<style type="text/css">.panel.sidebar-fixed-header .tsk.panel-body{top:0;}</style>
				<div class="row nm mytask_header pr" data-bind="attr:{title:form.name}">
					<h4 class="nm" style="display:inline;" data-bind="text:form.name"></h4>
					<a href="javascript:;" data-bind="click:$parent.swapDetails" class="btn btn-xs pa" style="background:none;right:17px">
						<i data-bind="hidden:$parent.is_detail" title="Edit" class="icon icon-edit gray"></i>
						<i data-bind="visible:$parent.is_detail" title="Back" class="icon icon-arrow-left gray"></i>
					</a><?php
					if ($isTsPage) {
 						?><a class="btn btn-xs pa txt-success" style="background:none;right:0" data-bind="click:$parent.save" href="javascript:;" title="<?php echo lang('SAVE'); ?>"><i class="icon icon-save blue"></i></a><?php
					} else {
						?><a class="btn btn-xs pa" style="background:none;right:0" data-bind="click:$parent.pinIt" href="javascript:;" title="<?php echo lang('PIN_OR_UNPIN'); ?>"><i class="icon icon-pushpin gray"></i></a><?php
					}
				?></div>
				</br>
				<div class="row nm">
					<label class="label label-info bg-gray" data-bind="text:form.task_type_name"></label>
					<span class="pull-right" data-bind="text:'#'+form.task_number()"></span>
				</div>
				</br>
				<!-- ko if:$parent.rp_min_view -->
				<table class="table table-noborder mytasks_table1 nm" style="border-top:1px solid #ddd;border-bottom:1px solid #DDD;">
					<colgroup>
						<col style="width:55px;">
						<col style="width:80px;">
						<col style="width:80px;border-left:1px solid #ddd;">
						<col style="">
					</colgroup>
					<tbody>
						<tr>
							<td class="gray small"><?php echo lang('EST_HRS'); ?></td>
							<td class="small" data-bind="hours:{val:form.estimated_hours,showNull:'---'}"></td>
							<td class="gray small vam"><?php echo lang('STATUS'); ?></td>
							<td class="assigned">
								<!-- ko with:status --><span class="label status" data-bind="text:name, style:{backgroundColor:bg_color, color:text_color}"></span><!-- /ko -->
								<select tabindex="3" data-bind="options:$root.task_status, optionsText:'name', optionsValue:'task_status_id', value:form.task_status_id, chosen:true" class="form-control input-sm"></select>
							</td>
						</tr>
						<tr>
							<td class="gray small"><?php echo lang('ACT_HRS'); ?></td>
							<td class="small" data-bind="hours:{val:form.worked_hours,showNull:'---'}"></td>
							<td><span class="gray small"><?php echo lang('ASSIGNED_TO'); ?></span></td>
							<td class="assigned">
								<span class="small blue" data-bind="text:form._info.assignee_disp"></span>
								<select tabindex="5" data-bind="foreach:$root.users_sort, value:form.assignee_id, chosen:{imgSelect:true}" class="form-control input-sm">
									<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
								</select>
							</td>
						</tr>
						<tr>
							<td class="gray small"><?php echo lang('DUE'); ?></td>
							<td class="dt-picker" data-bind="css:{'txt-danger':is_over_due}">
								<small class="dib fw fh pull-left nm disp" data-bind="date:{date:form.finish_date}" style="padding:5px;"></small>
								<small class="nm disp icon icon-calendar gray" data-bind="hidden:form.finish_date" style="padding:5px;left:auto;right:5px;"></small>
								<input type="text" placeholder="<?php echo lang('FINISH_DATE')?>" class="dtpicker npl npr cp nm" data-bind="value:form.finish_date, datepicker:{container:'#right-pane',orientation:'right'}<?php if (!$isTsPage) { ?>, disable:(children().length>0 || !is_editable())<?php } ?>" name="<?php echo lang('FINISH_DATE')?>" tabindex="11">
							</td>
							<td><span class="gray small"><?php echo lang('FOLLOWERS'); ?></span></td>
							<td class="assigned">
								<span class="small blue" data-bind="text:form._info.followers_disp"></span>
								<select tabindex="6" multiple="multiple" data-bind="foreach:$root.users_sort().slice(1), selectedOptions:form.followers, chosen:{imgSelect:true}" class="form-control input-sm">
									<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
								</select>
							</td>
						</tr>
					</tbody>
				</table>
				<div class="" style="border-bottom:1px solid #CCC;">
					<textarea data-bind="value:form.description, autosize:true" class="form-control nb desc" rows="2" cols="" placeholder="Enter <?php echo lang('DESCRIPTION'); ?>"></textarea>
				</div>
				</br>
				<?php $this->load->view('comments/timeline', array('module' => 'minimal', 'is_script_only' => '1')); ?>
				<!-- /ko -->
				<!-- ko ifnot:$parent.rp_min_view -->
				<!-- ko ifnot:$parent.is_detail -->
				<div class="tab-pane active">
					<?php $this->load->view('comments/timeline', array('module' => 'expanded', 'is_script_only' => '1')); ?>
					<span class="h5" data-bind="if:(!form.task_id()&&form.name())"><?php echo lang('PLEASE_SAVE_THE_TASK'); ?></span>
				</div>
				<!-- /ko -->
				<!-- ko if:$parent.is_detail -->
				<style>#details.tab-pane table tbody tr td div.form-group{margin:0;}#details.tab-pane table tbody tr td div.form-group > span {width:85px;text-align:left;}</style>
				<div class="tab-pane active<?php echo $isTsPage ? ' active' : ''; ?>" id="details">
					<table class="table table-condensed table-noborder">
						<tbody>
							<tr>
								<td colspan="4">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('TASK'); ?></span>
										<input class="form-control" tabindex="1" type="text" data-bind="value:form.name, nreadonly:is_editable" placeholder="<?php echo lang('TASK_NAME')?>" maxlength="500" />
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="4">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('DESCRIPTION'); ?></span>
										<textarea data-bind="value:form.description, nreadonly:is_editable, autosize:true" class="form-control desc" rows="1" cols="" placeholder="<?php echo lang('DESCRIPTION')?>"></textarea>
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="4" style="overflow:visible;">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('TASK_TYPE'); ?></span>
										<select tabindex="2" data-bind="options:$root.task_types, optionsValue:'id', optionsText:'label', value:form.task_type_id, disable:(!is_editable()), chosen:true" class="form-control input-sm"></select>
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="4" style="overflow:visible;">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('STATUS'); ?></span><?php
										if ($isTsPage) {
											?><select tabindex="3" data-bind="options:$root.task_status, optionsText:'name', optionsValue:'task_status_id', value:form.task_status_id, chosen:true" class="form-control input-sm"></select><?php
										} else {
											?><select tabindex="3" data-bind="options:$root.task_status, optionsText:'name', optionsValue:'task_status_id', value:form.task_status_id, disable:children().length>0, chosen:true" class="form-control input-sm"></select><?php
										}
									?></div>
								</td>
							</tr>
							<tr>
								<td colspan="2">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('PROGRESS'); ?></span><?php
										if ($isTsPage) {
										?><input class="form-control input-sm ar" type="number" min="0" max="100" step="5" tabindex="4" data-bind="value:form.percentage_complete,numberOnly:true" placeholder="<?php echo lang('PERCENTAGE_COMPLETE')?>" maxlength="3" /><?php
										} else {
										?><input class="form-control input-sm ar" type="number" min="0" max="100" step="5" tabindex="4" data-bind="value:form.percentage_complete,numberOnly:true, disable:children().length>0" placeholder="<?php echo lang('PERCENTAGE_COMPLETE')?>" maxlength="3" /><?php
										} ?><i class="input-group-addon input-sm">%</i>
									</div>
								</td>
								<td colspan="2">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('ACTUAL_HOURS'); ?></span>
										<span class="form-control input-sm" style="cursor:not-allowed;" data-bind="hours:{val:form.worked_hours}"></span>
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="4" style="overflow:visible;">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('ASSIGNEE'); ?></span>
										<select tabindex="5" data-bind="foreach:$root.users_sort, value:form.assignee_id, chosen:{imgSelect:true}" class="form-control input-sm">
											<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
										</select>
									</div>
								</td>
							</tr><?php if (!$isTodoPage) { ?>
							<tr>
								<td colspan="4" style="overflow:visible;">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('FOLLOWERS'); ?></span>
										<select tabindex="6" multiple="multiple" data-bind="foreach:$root.users_sort, selectedOptions:form.followers, chosen:{imgSelect:true}" class="form-control input-sm">
											<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
										</select>
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="2" style="overflow:visible;">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('PRIORITY'); ?></span>
										<select tabindex="7" data-bind="value:form.task_priority, enable:is_editable, chosen:true" class="form-control input-sm nm">
											<?php foreach ($task_priority as $key=>$val): ?>
											<option value="<?php echo $key; ?>"><?php echo $val; ?></option>
											<?php endforeach; ?>
										</select>
									</div>
								</td>
								<td colspan="2">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('EST_HRS'); ?></span>
										<input tabindex="9" class="form-control input-sm" type="number" min="0" step="2" data-bind="value:form.estimated_hours,numberOnly:true, enable:is_editable" placeholder="<?php echo lang('ESTIMATED_HOURS')?>" maxlength="3" />
									</div>
								</td>
							</tr><?php } ?>
							<tr>
								<td colspan="2">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('DURATION'); ?></span>
										<?php /*if ($isTsPage) { ?>
										<span class="form-control input-sm" data-bind="text:form.duration"></span>
										<?php } else {*/ ?>
										<input tabindex="8" class="form-control input-sm" type="number" min="0" max="365" step="1" data-bind="value:form.duration,numberOnly:true, disable:(children().length>0 || !is_editable())" placeholder="<?php echo lang('DURATION')?>" class="form-control" maxlength="3" />
										<?php // } ?>
									</div>
								</td>
								<td colspan="2">
									<div class="checkbox">
										<label><input type="checkbox" data-bind="checked:form.is_milestone" style="margin-top: 0px;"/><?php echo lang('MILESTONE'); ?></label>
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="2">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('START_DATE'); ?></span>
										<div class="pull-left form-control pr dt-picker">
											<h4 style="padding:7px;" data-bind="date:{date:form.start_date}" class="form-control pull-left nm disp"></h4>
											<?php // if (!$isTsPage) { ?>
											<input tabindex="10" type="text" name="start" data-bind="value:form.start_date, datepicker:{container:'#right-pane'}, disable:(children().length>0 || !is_editable())" class="input-small dtpicker npl npr cp" placeholder="<?php echo lang('START_DATE')?>">
											<?php // } ?>
										</div>
									</div>
								</td>
								<td colspan="2">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('FINISH_DATE'); ?></span>
										<div class="pull-left form-control pr dt-picker">
											<h4 style="padding:7px;" data-bind="date:{date:form.finish_date}" class="form-control pull-left nm disp"></h4><?php
											// if (!$isTsPage) {
											?><input tabindex="11" type="text" name="end" data-bind="value:form.finish_date, datepicker:{container:'#right-pane',orientation:'right'}, disable:(children().length>0 || !is_editable())" class="input-small dtpicker npl npr cp" placeholder="<?php echo lang('FINISH_DATE')?>"><?php
											// } ?>
										</div>
									</div>
								</td>
							</tr><?php if (!$isTsPage && !$isTodoPage){ ?>
							<tr>
								<td colspan="4">
									<div class="fw form-group input-group">
										<span class="input-group-addon input-sm"><?php echo lang('PREDECESSORS'); ?></span>
										<input class="form-control input-sm" type="text" data-bind="value:form.predecessors, enable:is_editable" placeholder="<?php echo lang('PREDECESSORS')?>" />
									</div>
								</td>
							</tr><?php } ?>
							<tr>
								<td class="vam" colspan="2">
									<span><?php echo lang('CREATED_BY'); ?></span>
									<label class="control-label h4 nm" data-bind="text:form._info.created_by"></label><?php /* ?><span class="vam dib" style="position:relative;border:1px solid #AAA; padding:1px;">
										<h4 class="pull-left nm fdate label label-xs" data-bind="duedate:{date:form.finish_date, fi:form.name().length>0||form.task_id()>0, is_closed:is_closed, pref:'txt'}"></h4>
										<input type="text" tabindex="5" data-bind="value:form.finish_date, datepicker:true" class="input-sm dtpicker np nm cp">
									</span>*/ ?>
								</td>
								<td colspan="2" class="ar">
									<div class="pull-right btn-group">
										<a class="btn btn-success btn-sm" tabindex="12" href="javascript:;" data-bind="click:$parent.save" title="<?php echo lang('SAVE'); ?>"><i class="icon icon-save" style="color:#FFFFFF;"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?></a><?php
											if ($isTsPage) {
										?><a class="btn btn-primary btn-sm" tabindex="12" data-bind="click:$parent.swapPane" href="javascript:;" title="<?php echo lang('CLOSE'); ?>"><i class="icon icon-remove" style="color:#FFFFFF;"></i></a><?php
									} ?></div>
								</td>
							</tr>
						</tbody><?php /* if ($isTsPage) { ?>
						<tfoot>
							<tr>
								<td colspan="4">
									<div class="pull-right btn-group">
										<a class="btn btn-success" tabindex="12" href="javascript:;" data-bind="click:$parent.save" title="<?php echo lang('SAVE'); ?>">
											<i class="icon icon-save" style="color:#FFFFFF;"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?>
										</a>
										<a class="btn btn-primary" tabindex="12" data-bind="click:$parent.swapPane" href="javascript:;" title="<?php echo lang('CLOSE'); ?>">
											<i class="icon icon-remove" style="color:#FFFFFF;"></i>
										</a>
									</div>
								</td>
							</tr>
						</tfoot>
			<?php } */?></table>
				</div>
				<!-- /ko -->
				<!-- /ko -->
			</div>
		</div>
	</div>
</div>
