<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	/**
	 * Secured Image tag
	 *
	 * @access	public
	 * @param	string
	 * @param	mixed
	 */
	function form_secured_image($attributes = '')
	{
		if (empty($attributes))
		{
			return '';
		}

		$uri	= '';
		$src	= ' src="' . base_url(NULL_IMAGE) . '"';
		$style	= '';

		if (is_array($attributes))
		{
			if (!empty($attributes['style']))
			{
				$style	= $attributes['style'];
				unset($attributes['style']);
			}
			$uri		= empty($attributes['src']) ? base_url(NO_USER) : $attributes['src'];
			unset($attributes['src']);
			$attributes	= _attributes_to_string($attributes);
		}

		$style	= 'style="background-image:url(\'' . $uri . '\');"';

		return '<img ' . $attributes . $src . $style . ' />';
	}

	function form_image($attributes = '')
	{
		if (empty($attributes))
		{
			return '';
		}

		$attributes	= _attributes_to_string($attributes);

		return '<img ' . $attributes . ' />';
	}
?>
