<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$module	= empty($module) ? "all" : $module;
	$module	= $module == "TS" ? "all" : $module;
	$type	= empty($type) ? "" : $type;

	if (empty($is_script_only)):
?>
<div id="comments-container" class="panel sidebar-fixed-header panel-primary" data-bind="with:rp">
	<div class="panel-heading"><?php
	switch($type)
	{
		case "invoice":
	?><span class="pull-left h3 nm"><?php echo lang('INVOICE_ACTIVITY');?></span><?php
		break;
		case "estimate":
	?><span class="pull-left h3 nm"><?php echo lang('ESTIMATE_ACTIVITY');?></span><?php
		break;
		case "users":
	?><span class="pull-left h3 nm"><?php echo lang('USERS_ACTIVITY');?></span><a data-bind="click:close" href="javascript:;" title="Close" class="icon-white icon-remove pull-right"></a><?php
		break;
			default:
	?><div style="margin-right:10px;" class="pull-right btn-group">
			<a data-bind="css:{'active':is_all}, click:onChangePane(paneTypes.ALL)" title="All" class="btn btn-xs btn-primary active">
				<span class="" style="color:#FFFFFF;">All</span>
			</a>
			<a data-bind="css:{'active':is_document}, click:onChangePane(paneTypes.DOCUMENT)" title="Attachments" class="dib btn btn-xs btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-paper-clip"></i>
			</a>
			<a data-bind="css:{'active':is_comment}, click:onChangePane(paneTypes.COMMENT)" title="Comments" class="dib btn btn-xs btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-comments"></i>
			</a>
			<a data-bind="css:{'active':is_activity}, click:onChangePane(paneTypes.ACTIVITY)" title="Activities" class="dib btn btn-xs btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-ellipsis-horizontal"></i>
			</a>
		</div><?php
			break;
		}
	?></div>
	<div class="panel-body" style="height:calc(100% - 140px);height: -webkit-calc(100% - 140px);">
		<div id="timeline" class="fb-container"><?php
			if ($module == "all" || $module != "activity"):
			?><!-- ko if:(is_comment() || is_document()) -->
			<ul class="media-list" data-bind="css:{'comm':is_comment, 'doc':is_document}, with:newActivity">
				<li class="media">
					<div id="new-comments" class="media-body new-comments pr">
						<span class="file-upload icon icon-plus"></span>
						<div class="row nm" data-bind="css:{'shc':show_controls}">
							<textarea tabindex="31" rows="1" cols="25" placeholder="Post your Comments, Drop your files..." class="form-control commentContent" data-bind="autosize:true, value:message"></textarea>
							<div class="row controls">
								<div class="col-xs-6">
									<input type="file" multiple="" tabindex="32" data-bind="fileApi:fileapi" class="fileAttachment" id="comments_attach" name="attachment_image" />
								</div>
								<div class="col-xs-6">
									<a href="javascript:;" data-bind="click:save" class="blue pull-right"><?php echo lang('POST'); ?></a>
								</div>
							</div>
						</div>
					</div>
				</li>
			</ul>
			<!-- /ko --><?php
			endif;
			?><ul class="media-list" data-bind="foreach:timeline">
				<!-- ko if:((timeline_type()=='comments' && $parent.is_comment()) || (timeline_type()=='attach' && $parent.is_document()) || (timeline_type()=='activity' && $parent.is_activity())) -->
				<!-- ko template:timeline_type --><!-- /ko -->
				<!-- /ko -->
			</ul>
			<div data-bind="if:all_activity().length>0" class="row ac activity_load_more">
				<span style="display:inline-block;cursor:pointer;" data-bind="click:load_more('activity')" class="icon icon-ellipsis-horizontal gray"></span>
			</div>
		</div>
	</div>
</div><?php
	endif;
	if ($module == "all" || $module == "comments" || $module == "attach")
	{
		if ($type && $type == 'project'): ?><div class="img-preview modal" id="img-preview" data-bind="with:rp"><?php
		else: ?><div class="img-preview modal" id="img-preview"><?php
		endif;
	?><div class="modal-dialog modal-lg" data-bind="with:imgbox">
		<div class="modal-content">
			<div class="modal-header dib fw">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
				<a class="h4 modal-title pull-left attach-data blue" data-bind="attr:{href:download_url, title:tooltip}" href="javascript:;"><span style="padding-left:5px;" class="vat text-info"><!-- ko text:file_name --><!-- /ko -->.<!-- ko text:file_type --><!-- /ko --></span></a>
			</div>
			<div class="modal-body ac">
				<span class="prev-img dn"><a href="javascript:;" class="prev icon icon-chevron-left" data-bind="click:prev_preview"></a></span>
				<a class="" data-bind="attr:{href:download_url, title:tooltip}" href="javascript:;"><img class="" data-bind="attr:{src:encrypted_url}" style="max-width:100%;" /></a>
				<span class="next-img dn"><a href="javascript:;" class="next icon icon-chevron-right" data-bind="click:next_preview"></a></span>
			</div>
			<div class="modal-footer"></div>
		</div>
	</div>
</div><?php
	}
	if ($module == "all" || $module == "activity"): ?><script type="text/html" id="activity">
<li class="media act-itm" data-bind="css:a_mode">
	<div class="media-left">
		<a href="javascript:;"><span class="media-object img25x25">&nbsp;</span></a>
	</div>
	<div class="media-body well well-sm well-white pr">
		<pre class="message" data-bind="html:message"></pre>
		<h5 class="media-heading">
			<span class="dib" data-bind="text:first_name"></span>
			<small class="dib" style="clear:both;white-space:nowrap;" data-bind="actdate:{date:date,format:'DD MMM',noHrs:true,is12:Otime.hourFormat}"></small>
			<small class="dib" style="clear:both;white-space:nowrap;" data-bind="actdate:{date:date,format:'',is12:Otime.hourFormat}"></small>
		</h5>
	</div>
</li>
</script>
<?php endif; ?>
<?php if ($module == "all" || $module == "comments"): ?>
<script type="text/html" id="comments">
<li class="media">
	<div class="media-left">
		<a href="javascript:;">
			<img class="media-object img25x25" data-bind="attr:{title:first_name}, img:user_image" onerror="javascript:onImageError(this);" src="">
		</a>
	</div>
	<div class="media-body well well-sm well-white pr">
		<h5 class="media-heading">
			<span class="dib" data-bind="text:first_name"></span>
			<small class="dib" style="clear:both;white-space:nowrap;" data-bind="actdate:{date:date,format:'DD MMM',noHrs:true,is12:Otime.hourFormat}"></small>
			<small class="dib" style="clear:both;white-space:nowrap;" data-bind="actdate:{date:date,format:'',is12:Otime.hourFormat}"></small>
		</h5>
		<pre class="message small" data-bind="html:message"></pre>
		<a href="javascript:;" class="icon icon-trash cmt-del" title="<?php echo lang('DELETE_COMMENT'); ?>" data-bind="visible:can_delete, click:delete_comment"></a>
		<small class="dib fw">
			<div class="pull-left cmt-attach-list" data-bind="foreach:attachment_details">
				<a class="attach-data blue" data-bind="click:preview, attr:{href:download_url, title:tooltip}" href="javascript:;">
					<img class="img20x20" src="" data-bind="attr:{src:encrypted_url}" />
					<span style="padding-left:5px;" class="vat text-info"><!-- ko text:file_name --><!-- /ko -->.<!-- ko text:file_type --><!-- /ko --></span>
				</a>
			</div>
			<a href="javascript:;" style="padding-left:10px;" class="pull-right cp blue" data-bind="visible:reply_count, click:$parent.show_replies">
				<!-- ko ifnot:is_reply_list --><?php echo lang('SHOW_REPLIES');?> (<!-- ko text:reply_count --><!-- /ko -->)<!-- /ko --><!-- ko if:is_reply_list --><?php echo lang('HIDE'); ?><!-- /ko -->
			</a>
			<a href="javascript:;" class="pull-right cp blue" data-bind="click:$parent.reply"><?php echo lang('REPLY'); ?></a>
		</small>
		<div class="" data-bind="visible:is_reply_list, foreach:reply_list">
			<div class="media reply">
				<div class="media-left">
					<a href="javascript:;">
						<img class="media-object img25x25" data-bind="attr:{title:first_name}, img:user_image" onerror="javascript:onImageError(this);" src="">
					</a>
				</div>
				<div class="media-body pr">
					<h5 class="media-heading"><!-- ko text:first_name --><!-- /ko -->&nbsp;-&nbsp;<small data-bind="actdate:{date:date,format:Otime.dateFormat,is12:Otime.hourFormat}"></small></h5>
					<pre class="message small" data-bind="html:message"></pre>
					<a href="javascript:;" class="icon icon-trash cmt-del" title="<?php echo lang('DELETE_REPLY'); ?>" data-bind="visible:can_delete, click:delete_reply($parent)"></a>
				</div>
			</div>
		</div>
		<div class="media reply-new nm" data-bind="with:new_reply">
			<div class="media-body">
				<textarea tabindex="1" class="form-control replyContent" data-bind="autosize:true, value:message, valueUpdate:'afterkeydown', event:{keypress:onKeyPress}" placeholder="Write any comment..." cols="20" rows="1"></textarea>
			</div>
		</div>
	</div>
</li>
</script>
<?php endif; ?>
<?php if ($module == "all" || $module == "attach"): ?>
<script type="text/html" id="attach">
<li class="media">
	<div class="media-left">
		<a href="javascript:;">
			<img class="media-object img25x25" data-bind="attr:{title:first_name}, img:user_image" onerror="javascript:onImageError(this);" src="">
		</a>
	</div>
	<div class="media-body well well-sm well-white pr">
		<h5 class="media-heading">
			<span class="dib" data-bind="text:first_name"></span>
			<small class="dib" style="clear:both;white-space:nowrap;" data-bind="actdate:{date:date,format:'DD MMM',noHrs:true,is12:Otime.hourFormat}"></small>
			<small class="dib" style="clear:both;white-space:nowrap;" data-bind="actdate:{date:date,format:'',is12:Otime.hourFormat}"></small>
			<a href="javascript:;" title="Delete" class="icon icon-remove txt-danger pull-right" data-bind="click:$parent.deleteAttachment"></a>
		</h5>
		<a class="dib fw" href="" data-bind="click:preview, attr:{href:download_url, title:tooltip}">
			<img class="" data-bind="css:{'img50x50':isNoImg}, attr:{src:encrypted_url}" width="100%" style="max-width:150px;" />
		</a>
		<span data-bind="text:file_name()+'.'+file_type()"></span>
	</div>
</li>
</script>
<?php endif; ?>
<?php if ($module == "minimal"): ?>
<div class="rplist" data-bind="with:rp">
	<div class="pr">
		<div class="row nm">
			<span class="cp icon gray" style="width:15px;height:15px;display:inline-block;" data-bind="css:{'icon-angle-down':isAttExpand, 'icon-angle-right':!isAttExpand()}, click:expand('att')"></span>
			<span class="h5 cp gray dib nm" data-bind="click:expand('att')"><?php echo lang('DOCUMENTS'); ?></span>
			<a href="javascript:;" class="minMax" data-bind="click:toggleMinimize('att')"><i data-bind="visible:is_att_min" title="Maximize" class="icon-resize-full gray">&nbsp;</i><i data-bind="hidden:is_att_min" title="Minimize" class="icon-resize-small gray"></i></a>
		</div>
		<!-- ko if:isAttExpand -->
		<div class="attachment-group" id="attachment_list" style="word-wrap:break-word;overflow:visible;">
			<ul class="list-inline nmb">
				<!-- ko foreach:attachments --><li class="npr"><a class="blue" href="javascript:;" data-bind="text:file_name()+'.'+file_type(), click:preview, attr:{href:download_url, title:tooltip}"></a>&nbsp;<a href="javascript:;" title="Delete" class="icon icon-remove txt-danger" data-bind="click:$parent.deleteAttachment"></a></li><!-- /ko -->
				<li class=""><a href="javascript:;" data-bind="click:attachDoc"><i class="icon icon-plus blue"></i></a></li>
			</ul>
			<div class="dn" data-bind="with:newAttach"><input type="file" multiple="" data-bind="fileApi:fileapi" id="newFileAttach" value="" name="attachment_image" /></div>
			<div class="row ac attach_load_more" data-bind="if:(all_attachments().length>0)">
				<span class="icon icon-ellipsis-horizontal gray" data-bind="click:load_more('attach')" style="display:inline-block;cursor:pointer;"></span>
			</div>
		</div>
		<!-- /ko -->
	</div></br>
	<div class="pr">
		<div class="row nm">
			<span class="cp icon gray" style="width:15px;height:15px;display:inline-block;" data-bind="css:{'icon-angle-down':isActExpand, 'icon-angle-right':!isActExpand()}, click:expand('act')"></span>
			<span class="h5 cp gray dib nm" data-bind="click:expand('act')"><?php echo lang('ACTIVITY') . ' Feed'; ?></span>
			<a href="javascript:;" class="minMax" data-bind="click:toggleMinimize('act')"><i data-bind="visible:is_act_min" title="Maximize" class="icon-resize-full gray"></i><i data-bind="hidden:is_act_min" title="Minimize" class="icon-resize-small gray"></i></a>
		</div>
		<!-- ko if:isActExpand -->
		</br>
		<ul class="media-list dib nm" data-bind="template:{name:'activity', foreach:activity}"></ul>
		<div class="row ac activity_load_more" data-bind="if:all_activity().length>0">
			<span class="icon icon-ellipsis-horizontal gray" data-bind="click:load_more('activity')" style="display:inline-block;cursor:pointer;"></span>
		</div>
		<!-- /ko -->
	</div>
	</br>
	<div class="pr">
		<div class="row nm">
			<span class="cp icon gray" style="width:15px;height:15px;display:inline-block;" data-bind="css:{'icon-angle-down':isCmtExpand, 'icon-angle-right':!isCmtExpand()}, click:expand('cmt')"></span>
			<span class="h5 cp gray dib nm" data-bind="click:expand('cmt')"><?php echo lang('COMMENTS'); ?></span>
			<a href="javascript:;" class="minMax" data-bind="click:toggleMinimize('cmt')"><i data-bind="visible:is_act_min" title="Maximize" class="icon-resize-full gray"></i><i data-bind="hidden:is_act_min" title="Minimize" class="icon-resize-small gray"></i></a>
		</div>
		<!-- ko if:isCmtExpand -->
		</br>
		<ul class="media-list comm nm dib" data-bind="with:newActivity">
			<li class="media">
				<div id="new-comments" class="media-body new-comments pr">
					<span class="file-upload icon icon-plus"></span>
					<div class="row nm" data-bind="css:{'shc':show_controls}">
						<textarea tabindex="31" rows="1" cols="25" placeholder="Post your Comments, Drop your files..." class="form-control commentContent" data-bind="autosize:true, value:message"></textarea>
						<div class="row controls nm">
							<div class="pull-left">
								<input tabindex="32" type="file" multiple="" data-bind="fileApi:fileapi" class="fileAttachment" id="comments_attach" name="attachment_image" />
							</div>
							<a class="pull-right blue" tabindex="33" href="javascript:;" data-bind="click:save"><?php echo lang('POST'); ?></a>
							<a class="pull-right icon-remove-sign icon-white" tabindex="34" href="javascript:;" data-bind="click:cancel" name="cancel"></a>
						</div>
					</div>
				</div>
			</li>
		</ul>
		<ul class="media-list dib nm" data-bind="template:{name:'comments',foreach:comments}"></ul>
		<div class="row ac comments_load_more" data-bind="if:(all_comments().length>0)">
			<span class="icon icon-ellipsis-horizontal gray" data-bind="click:load_more('comments')" style="display:inline-block;cursor:pointer;"></span>
		</div>
		<!-- /ko -->
	</div>
</div>
<?php endif; ?>
<?php if ($module == "expanded"): ?>
<div id="timeline" class="fb-container" data-bind="with:rp">
	<!-- ko if:is_comment -->
	<span class="h5 strong gray dib"><?php echo lang('COMMENTS'); ?></span>
	<div class="pull-right" style="margin:10px 0 0 0;">
		<a href="javascript:;" data-bind="click:onChangePane(paneTypes.DOCUMENT)" title="<?php echo lang('DOCUMENTS'); ?>" class="btn btn-xs no-bg"><i class="icon icon-paper-clip gray"></i></a>
		<a href="javascript:;" data-bind="click:onChangePane(paneTypes.ACTIVITY)" title="<?php echo lang('ACTIVITY'); ?>" class="btn btn-xs no-bg"><i class="icon icon-ellipsis-horizontal gray"></i></a>
		<a href="javascript:;" data-bind="click:toggleMinimize('cmt')" class="btn btn-xs no-bg">
			<i data-bind="visible:is_cmt_min" title="Maximize" class="icon-resize-full gray"></i>
			<i data-bind="hidden:is_cmt_min" title="Minimize" class="icon-resize-small gray"></i>
		</a>
	</div>
	<ul class="media-list comm" data-bind="with:newActivity">
		<li class="media">
			<div id="new-comments" class="media-body new-comments pr">
				<span class="file-upload icon icon-plus"></span>
				<div class="row nm" data-bind="css:{'shc':show_controls}">
					<textarea tabindex="1" rows="1" cols="25" placeholder="Post your Comments, Drop your files..." class="form-control commentContent" data-bind="autosize:true, value:message"></textarea>
					<div class="row controls">
						<div class="col-xs-6"><input type="file" multiple="" data-bind="fileApi:fileapi" class="fileAttachment" id="comments_attach" name="attachment_image" /></div>
						<div class="col-xs-6"><a href="javascript:;" data-bind="click:save" class="blue pull-right"><?php echo lang('POST'); ?></a></div>
					</div>
				</div>
			</div>
		</li>
	</ul>
	<ul class="media-list" data-bind="template:{name:'comments', foreach:comments}"></ul>
	<ul class="media-list" data-bind="template:{name:'comments', foreach:all_comments}"></ul>
	<!-- /ko -->
	<!-- ko if:is_document -->
	<span class="h5 strong gray dib"><?php echo lang('DOCUMENTS'); ?></span>
	<div class="pull-right" style="margin:10px 0 0 0;">
		<a href="javascript:;" data-bind="click:onChangePane(paneTypes.COMMENT)" title="<?php echo lang('COMMENTS'); ?>" class="btn btn-xs no-bg"><i class="icon icon-comments gray"></i></a>
		<a href="javascript:;" data-bind="click:onChangePane(paneTypes.ACTIVITY)" title="<?php echo lang('ACTIVITY'); ?>" class="btn btn-xs no-bg"><i class="icon icon-ellipsis-horizontal gray"></i></a>
		<a href="javascript:;"  data-bind="click:toggleMinimize('att')" class="btn btn-xs no-bg">
			<i data-bind="visible:is_att_min" title="Maximize" class="icon-resize-full gray"></i>
			<i data-bind="hidden:is_att_min" title="Minimize" class="icon-resize-small gray"></i>
		</a>
	</div>
	<ul class="media-list doc" data-bind="with:newAttach">
		<li class="media">
			<div id="new-comments" class="media-body new-comments pr">
				<span class="file-upload icon icon-plus"></span>
				<div class="row nm" data-bind="css:{'shc':show_controls}">
					<div class="row controls">
						<div class="col-xs-6"><input type="file" multiple="" data-bind="fileApi:fileapi" class="fileAttachment" id="comments_attach" name="attachment_image" /></div>
						<div class="col-xs-6"><?php /*<a href="javascript:;" data-bind="click:save" class="blue pull-right"><?php echo lang('POST'); ?></a> */ ?></div>
					</div>
				</div>
			</div>
		</li>
	</ul>
	<ul class="media-list" data-bind="template:{name:'attach', foreach:attachments}"></ul>
	<ul class="media-list" data-bind="template:{name:'attach', foreach:all_attachments}"></ul>
	<!-- /ko -->
	<!-- ko if:is_activity -->
	<span class="h5 strong gray dib"><?php echo lang('ACTIVITY') . ' Feed'; ?></span>
	<div class="pull-right" style="margin:10px 0 0 0;">
		<a href="javascript:;" data-bind="click:onChangePane(paneTypes.COMMENT)" title="Comments" class="btn btn-xs no-bg"><i class="icon icon-comments gray"></i></a>
		<a href="javascript:;" data-bind="click:onChangePane(paneTypes.DOCUMENT)" title="Attachments" class="btn btn-xs no-bg"><i class="icon icon-paper-clip gray"></i></a>
		<a href="javascript:;"  type="button" data-bind="click:toggleMinimize('act')" class="btn btn-xs no-bg">
			<i data-bind="visible:is_act_min" title="Maximize" class="icon-resize-full gray"></i>
			<i data-bind="hidden:is_act_min" title="Minimize" class="icon-resize-small gray"></i>
		</a>
	</div>
	<ul class="media-list" data-bind="template:{name:'activity', foreach:activity}"></ul>
	<ul class="media-list" data-bind="template:{name:'activity', foreach:all_activity}"></ul>
	<!-- /ko -->
</div>
<?php endif; ?>
