<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div class="sub-title"><?php echo lang('FISCAL_YEAR_STARTS'); ?></div>		
<select class="col-lg-6 nm np wid" data-bind="value:fiscal_year_month, chosen:true">
	<option value="1"><?php echo lang('JANUARY'); ?></option>
	<option value="2"><?php echo lang('FEBRUARY'); ?></option>
	<option value="3"><?php echo lang('MARCH'); ?></option>
	<option value="4"><?php echo lang('APRIL'); ?></option>
	<option value="5"><?php echo lang('MAY'); ?></option>
	<option value="6"><?php echo lang('JUNE'); ?></option>
	<option value="7"><?php echo lang('JULY'); ?></option>
	<option value="8"><?php echo lang('AUGUEST'); ?></option>
	<option value="9"><?php echo lang('SEPTEMBER'); ?></option>
	<option value="10"><?php echo lang('OCTOBER'); ?></option>
	<option value="11"><?php echo lang('NOVEMBER'); ?></option>
	<option value="12"><?php echo lang('DECEMBER'); ?></option>
</select>
<div class="clearfix">&nbsp;</div>
<div class="sub-title"><?php echo lang('CUR_NUMBER_FORMAT'); ?></div>
<div class="row" >
	<div class="col-xs-8">
		<select class="col-lg-6 np nm" data-bind="value:currency_code, chosen:true">
		<?php
			if(!empty($currency))
			{
				foreach($currency as $curr)
				{
					echo '<option value="' . $curr['currency_code'] . '">' . $curr['currency_code'] . ' ' .$curr['description'] . ' - ' . $curr['currency_symbol'] . '</option>';
				}
			}
		?>
		</select>
	</div>
	<div class="col-xs-4">
		<select class="col-lg-5" data-bind="value:number_format, fancy:true">
		<?php
			foreach ($this->config->item('number_formats') as $key=>$val)
			{
				echo '<option value="' . $key . '">' . $val . '</option>';
			}
		?>
		</select>
	</div>
</div>
<div class="sep">&nbsp;</div>
<div class="sub-title"><?php echo lang('ROUND_TIME'); ?></div>	
<select class="input-sm nm np" data-bind="value:time_round_to, fancy:true">
<?php
	foreach ($this->config->item('time_round_to') as $key=>$val)
	{
		echo '<option value="' . $key . '">' . $val . '</option>';
	}
?>
</select>
<div class="sep">&nbsp;</div>
<!-- <div class="sub-title"><?php echo lang('INVOICE_TEMPLATE'); ?></div>	
<select class="input-sm nm np" data-bind="value:inv_template, chosen:true">
	<?php foreach ($inv_templates as $key=>$val): ?>
	<option value="<?php echo $val; ?>"><?php echo $val; ?></option>
	<?php endforeach; ?>
</select> -->
