<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	$date_filter_this	= array(
		'ALL' => 'ALL',
		'TO' => 'TODAY',
		'TW' => 'THIS_WEEK',
		'TS' => 'THIS_SEMI_MONTHLY',
		'TM' => 'THIS_MONTH',
		'TQ' => 'THIS_QUARTER',
		'TY' => 'THIS_YEAR',
		'TA' => 'THIS_ACCOUNT_YEAR'
	);
	$date_filter_last	= array(
		'YE' => 'YESTERDAY',
		'LW' => 'LAST_WEEK',
		'LS' => 'LAST_SEMI_MONTHLY',
		'LM' => 'LAST_MONTH',
		'LQ' => 'LAST_QUARTER',
		'LY' => 'LAST_YEAR',
		'LA' => 'LAST_ACCOUNT_YEAR'
	);
	
	$detail_hours 		= array('' => 'Select Type..', 'T' => 'Task Type Hours', 'U' => 'User Hours');
	$detail_expenses 	= array('' => 'Select Type..', 'C' => 'Expenses Type', 'U' => 'User');
?>
<div class="panel sidebar-fixed-header panel-primary">
	<div class="panel-heading ">
		<h4 class="panel-title dib"><?php echo lang('PROJECT_BILL'); ?></h4>
		<div class="btn-group pull-right">
			<button class="btn btn-primary btn-sm" data-bind="click:import_cancel">
				<span class="icon-remove-sign icon-white"></span>
			</button>
		</div>
	</div>
	<div class="panel-body">
		<div class="row">
			<div class="col-md-12">
				<div class="container np">
					<div class="fw dib">
						<div class="pr pull-left">
							<h4 class="cp" data-bind="click:function(){date_filter.is_dft(!date_filter.is_dft());}"><!-- ko text:_info.date_filter_disp --><!-- /ko --> <i class="icon-chevron-down"style="margin-left:10px;">&nbsp;</i></h4>
							<div class="dropdown-menu dtFilter pa" style="left:0;" data-bind="css:{'active':date_filter.is_dft}">
								<ul style="display:block;" class="dropdown-menu pull-left list-unstyled npr">
								<?php foreach($date_filter_this as $key=>$val): ?>
									<li class="" data-bind="click:function(){date_filter.applyDFT('<?php echo $key; ?>')}">
										<a href="javascript:;"><?php echo lang($val); ?></a>
									</li>
								<?php endforeach; ?>
								</ul>
								<ul style="display:block;" class="dropdown-menu pull-left list-unstyled">
								<?php foreach($date_filter_last as $key=>$val): ?>
									<li data-bind="click:function(){date_filter.applyDFT('<?php echo $key; ?>')}">
										<a href="javascript:;"><?php echo lang($val); ?></a>
									</li>
								<?php endforeach;; ?>
								</ul>
								<ul style="display:block;" class="pull-left custom list-unstyled" data-bind="with:date_filter">
									<li style="margin-top: 2px;"><?php echo lang("CUSTOM")?></li>
									<li style="margin: 0px 3px;">
										<div class="pull-left pr">
											<h5 class="pull-left nm" style="padding:4px 6px; border:1px solid #CCC; font-weight:normal;" data-bind="text:fd_disp"></h5>
											<input type="text" class="dtpicker" data-bind="value:from_date, datepicker:true" />
										</div>
									</li>
									<li style="margin-top: 2px;"><?php echo "-";//lang("TO"); ?></li>
									<li style="margin: 0px 3px;">
										<div class="pull-left pr">
											<h5 class="pull-left nm" style="padding:4px 6px; border:1px solid #CCC; font-weight:normal;" data-bind="text:td_disp"></h5>
											<input type="text" class="dtpicker" data-bind="value:to_date, datepicker:true" />
										</div>
									</li>
									<li style="margin-top: 2px;">
										<button type="button" data-bind="click:fd_td_apply" class="btn btn-xs btn-success"><?php echo lang('APPLY'); ?></button>
									</li>
								</ul>
							</div>
						</div>
						<!--  ko if:_info.date_filter_type()!='ALL' -->
						<div class="pr pull-right">
							<div class="dib pr">
								<h4 class="pull-right" style="padding:2px 6px;" data-bind="text:date_disp"></h4>
								<input type="text" id="date-picker" class="input-sm dtpicker npl npr cp" data-bind="visible:_info.date_filter_type()!='CU', value:date, datepicker:true" />
							</div>
							<div class="dib">
								<button data-bind="click:dateUpDown.bind($data, '+')" class="btn no-bg no-border icon-chevron-up split up npb npl npr" type="button"></button>
								<button data-bind="click:dateUpDown.bind($data, '-')" class="btn no-bg no-border icon-chevron-down split npt npl npr" type="button"></button>
							</div>
						</div>
						<!-- /ko -->
					</div>
				</div>
			</div>
		</div>
		<div class="row">		
			<div class="pull-left col-md-9">
				<div class="checkbox nm">
	  				<label><input type="checkbox" data-bind="checked:check_all"></input><b><?php echo lang('PROJECT'); ?></b></label>
	  			</div>
	  		</div>
	  		<div class="col-md-3 ac">
	  			<label><?php echo lang('UNINVOICED'); ?></label>
	  		</div>
		</div>
		<div class="row">
			<div class="col-md-12 np">
				<div class="col-md-6"></div>
				<div class="pull-right col-md-5 np">
					<label class="  col-md-7 np text-right"><?php echo lang('APPROVED'); ?></label>
					<label class="  col-md-4 np text-right pull-right"><?php echo lang('UNAPPROVED'); ?></label>
				</div>
			</div>
		</div>
		<hr class="nm" />
		<div class="clearfix">&nbsp;</div>
		<!-- ko foreach:project_listing -->
		<div class="row">
			<div class="pull-left col-md-6">
				<div class="checkbox nmb">
	  				<label>
				 	     <input type="checkbox" data-bind="checked:is_checked, enable:(Number(billable_hours()) >0 ||  Number(unap_billable_hours()) >0 || Number(expense_total()) >0)" class="nmt"></input><h5 data-bind="text:project_name" class="nmt"></h5>
					</label>
				</div>
			</div>
			<div class="pull-right col-md-6 np">
				<!-- ko if:Number(billable_hours()) >0 ||  Number(unap_billable_hours()) >0-->
				<div class="col-md-4">
						<span class="gray"><?php echo lang('BILL_HOURS'); ?></span>
				</div>
		   		<div class="col-md-8">
						<span class="col-md-6" data-bind="hours:{val:billable_hours, showNull:true}" style="text-align:right;"></span>
						<!-- ko if:unap_billable_hours() <=0  -->
							<span class="col-md-6 np" style="text-align:right;">---</span>
						<!-- /ko -->
						<!-- ko if:unap_billable_hours() >0  -->
							<span class="col-md-6 text-primary np" style="text-align:right;" data-bind="hours:{val:unap_billable_hours, showNull:true}, click:$parent.ts_b_approve" data-toggle="modal" data-target="#timsheet_approve"></span>
						<!-- /ko -->
				</div>
				<!-- /ko -->
				<!-- ko if:Number(expense_total()) >0 ||  Number(unap_expense_total()) >0-->
				<div class="col-md-4">
					<span class="gray"><?php echo lang('EXPENSES'); ?></span>
				</div>
				<div class="col-md-8">
						<span class="col-md-6" data-bind="text:expense_total" style="text-align:right;"></span>
						<!-- ko if:unap_expense_total() <=0  -->
							<span class="col-md-6 np" style="text-align:right;">---</span>
						<!-- /ko -->
						<!-- ko if:unap_expense_total() >0  -->
							<span class="col-md-6 text-primary np"  data-bind="click:$parent.expenses_approve" data-toggle="modal" data-target="#expenses_approve" style="text-align:right;"><!-- ko text:unap_expense_total --><!-- /ko --></span>
						<!-- /ko -->
				</div>
				<!-- /ko -->
				<!-- ko if:Number(unap_non_billable_hours()) >0 ||  Number(non_billable_hours()) >0-->
				<div class="col-md-4">
						<span class="wnw gray"><?php echo lang('NON_BILL_HOURS'); ?></span>
				</div>
				<div class="col-md-8">
						<!-- ko if:non_billable_hours() <=0  -->
							<span class="col-md-6 np" style="text-align:right;">---</span>
						<!-- /ko -->
						<!-- ko if:non_billable_hours() >0  -->
							<span class="col-md-6 text-primary" data-bind="hours:{val:non_billable_hours, showNull:true}, click:$parent.ts_update_billable" data-toggle="modal" style="text-align:right;"></span>
						<!-- /ko -->
						<!-- ko if:unap_non_billable_hours() <=0  -->
							<span class="col-md-6 np" style="text-align:right;">---</span>
						<!-- /ko -->
						<!-- ko if:unap_non_billable_hours() >0  -->
							<span class="col-md-6 text-primary np" data-bind="hours:{val:unap_non_billable_hours, showNull:true}, click:$parent.ts_nb_approve" data-toggle="modal" data-target="#timsheet_approve" style="text-align:right;"></span>
						<!-- /ko -->
				</div>
				<!-- /ko -->
			</div>
		</div>
		<div class="clearfix">&nbsp;</div>
		<!-- /ko -->
		<div class="ac pr" style="top:10px;" data-bind="visible:project_listing().length<=0"><?php echo lang('NO_HRS_AVAIL_FOR_IMPORT'); ?></div>		
		<hr>		
		<div class="row">
			<div class="col-md-11 pull-right clearfix">
				<div class="checkbox">
					<input type="checkbox" data-bind="checked:_info.invoice_hours">
	   			    <b><?php echo lang('INVOICE_BILL_HOUR'); ?></b>
	   			</div>
			</div>
			<div class="col-md-11 pull-right clearfix">
				<?php echo lang('DETAIL_BY'); ?>
			</div>
			<div class="col-md-11 pull-right clearfix">
				<ul>
					<li class="checkbox"><input type="checkbox" data-bind="checked:_info.gp_project">&nbsp;<?php echo lang('PROJECT');?>&nbsp;</li>
					<li class="checkbox"><input type="checkbox" data-bind="checked:_info.gp_tasktype">&nbsp;<?php echo lang('TASK_TYPE');?>&nbsp;</li>
					<li class="checkbox"><input type="checkbox" data-bind="checked:_info.gp_date">&nbsp;<?php echo lang('DATE');?></li>
					<li class="checkbox"><input type="checkbox" data-bind="checked:_info.gp_activity">&nbsp;<?php echo lang('ACTIVITY');?></li>
					<li class="checkbox"><input type="checkbox" data-bind="checked:_info.gp_member">&nbsp;<?php echo lang('MEMBER');?>&nbsp;</li>
				</ul>
			</div>
		</div>
		<hr>
		<div class="row">
			<div class="col-md-11 pull-right clearfix">
				<div class="checkbox">
	   		        <input type="checkbox" data-bind="checked:_info.invoice_expenses">
	   			    <b><?php echo lang('INVOICE_EXPENSE'); ?></b>
				</div>
			</div>
			<div class="col-md-11 pull-right clearfix">
				<div class="col-md-2 np"><?php echo lang('DETAIL_BY'); ?></div>
				<div class="col-md-6"><select class="input-sm form-control form-group" data-bind="value:_info.detail_expenses">
					<?php
						foreach ($detail_expenses as $key => $val)
						{
							echo '<option value="'.$key.'">'.$val.'</option>';
						}
					?>
				</select></div>
			</div>
		</div>
		<hr>
		<div class="btn-group pull-right">
			<button class="btn btn-sm btn-success" data-bind="click:import_projects" type="button"><span class="icon-download-alt icon-white"> </span>Invoice project(s)</button>
			<button class="btn btn-primary btn-sm" data-bind="click:import_cancel" id="cancel"><span class="icon-remove-sign icon-white"></span></button>
		</div>
	</div>
</div>
<div class="clearfix">&nbsp;</div>

 <script type="text/javascript">
	$(document).ready(function(){
		Otime.Invoice.filter_labels	= <?php echo json_encode(array_merge($date_filter_this, $date_filter_last)); ?>;
		Otime.Invoice.dft	= 'TW'; // Date filter type
	});
</script>
